// Report_Tutorial_JobInfo.inc
// JOS Report included format file for Learning SmartCAM tutorial

//	Variables for the Job Info report
extern string created, creator, job_note, jof_file;
extern string nc_date, nc_file, nc_runtime;
extern integer nc_size;

// Job Info Report Type Header
procedure job_header
{
    format(" **** Job Info Section:\n\n");
}

// Job Info Report Type Footer
procedure job_footer
{
    format(" **** End of Job Info Section");
//    newpage();
}


//	section procedure for Job Info report type
procedure section_5010000
{
    format("Created on: %s\n", created);
    format("Created by: %s\n", creator);
    format("JOF File:   %s\n", jof_file);
    format("Job Notes:\n%s\n\n", job_note);
    format("NC File:    %s\n", nc_file);
    format("Date Coded: %s\n", nc_date);
    format("Runtime:    %s\n", nc_runtime);
    format("NC Size:    %d (bytes)\n", nc_size);
} 

